#ifndef _LP_DEV_H_
#define _LP_DEV_H_

#include "typedef.h"
#include "device/device.h"

struct lp_dev_data {
    u8 enable;
    u8 port;
    u8 up : 1;
    u8 down : 1;
    u8 ad_channel;
    u16 ad_vol;
};

u8 lp_is_online(void);
void lp_set_online(u8 online);

extern const struct device_operations lp_dev_ops;

#endif